package main

const (
	BLACKLIST = "/etc/slackpkg/blacklist"

	BUILD_CMD = "/bin/bash --login "
	// Command that will execute the SlackBuild script.

	CONFIG_DIR       = "/etc/pkg"
	DEFAULT_PKG_FILE = CONFIG_DIR + "/pkg_list.txt"
	ENV_CMD          = "/usr/bin/env "
	DOC_DIR          = "/usr/doc"
	DOWNLOAD_CMD     = "/usr/bin/curl --remote-name-all --location --parallel --output-dir " + TMP_DIR
	// Must be a string which, when appended by URLs, and executed by the
	// shell, will download the files to TMP_DIR. Posiible alternative:
	// DOWNLOAD_CMD    = "/usr/bin/wget  --directory-prefix"

	FALLBACK_PAGER = "/usr/bin/less"
	// Pager to be used if $PAGER is not set. Used to display README and
	// SlackBuild files.

	CLEAN_CMD = "/usr/bin/git -C " + REPO_PATH + " clean -fdx"
	// This command must clean the repository of any files that are not
	// in the upstream repository. Adjust if SYNC_CMD is changed.

	GREYLIST = CONFIG_DIR + "/greylist"
	// File containing a list of packages (one per line, comments "#" allowed),
	// which will be skipped during the upgrade process, can be disabled with
	// command line flag.

	INSTALL_CMD     = "/sbin/upgradepkg --install-new --reinstall "
	MIRROR          = "https://github.com/SlackBuildsOrg/slackbuilds.git"
	TMP_DIR         = "/tmp/pkg"
	OTHER_BLACKLIST = CONFIG_DIR + "/blacklist"
	// Will be copied to BLACKLIST, before BLACKLIST gets updated.

	PREBUILD_EXT = ".prebuild"
	// Extension for prebuild hooks. If a file with `package_name`.PREBUILD_EXT
	// exists in CONFIG_DIR, it will be executed before the package is built.
	// The first argument will be the path to the package directory.

	PULL_CMD  = "/usr/bin/git clone --depth 1 --no-tags --branch master -- " + MIRROR + " " + REPO_PATH
	REPO_PATH = "/var/lib/pkg/sbo"
	SYNC_CMD  = "/usr/bin/git -C " + REPO_PATH + " pull"
	// Must be a string which, when executed by the shell, will update the
	// repository.

	// Flags for command line arguments.
	FILTERINSTALLED_FLAG = "d" // Don't filter installed packages
	FILE_FLAG            = "f" // Read package names from file
	LIST_INSTALLED_FLAG  = "l" // List installed packages
	MD5_FLAG             = "m" // Skip MD5Sum checks
	NO_DEPS_FLAG         = "n" // Don't install dependencies
	ROOT_FLAG            = "r" // Display dependees of the given package
	RESPECTGREYLIST_FLAG = "g" // Ignore the greylist
	SEARCH_FLAG          = "s" // Search for a package
	TRACK_FLAG           = "t" // Track the given packages (show all dependencies)
	UPDATE_FLAG          = "u" // Update the repository (before doing anything else)
	VIEW_FLAG            = "v" // Display information for the given packages
	VIEWBUILD_FLAG       = "b" // Display build scripts for the given packages
	YES_FLAG             = "y" // Skip all prompts
)
